## ros-indigo-gazebo-concert 0.6.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gazebo_concert)

find_package(catkin REQUIRED)

catkin_package()

foreach(dir solutions)
  install(DIRECTORY ${dir}
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
endforeach()

=== debian/changelog ===
ros-indigo-gazebo-concert (0.6.7-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-gazebo-concert (0.6.6-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-gazebo-concert (0.6.5-0trusty) trusty; urgency=high

  * change name of auto enable service argument
  * Contributors: dwlee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-gazebo-concert (0.6.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 06 Jan 2015 15:00:00 -0000

ros-indigo-gazebo-concert (0.6.3-0trusty) trusty; urgency=high

  * robots were spawning on same xyz closes #51 <https://github.com/robotics-in-concert/rocon_tutorials/issues/51>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-gazebo-concert (0.6.2-0trusty) trusty; urgency=high

  * update gazebo_concert package version
  * update package.xml
  * local client is now argument
  * remove initialisation service
  * add kobuki
  * add prameters for gazebo
  * fix install rule
  * add world_canvas
  * gazebo concert ready
  * add gazebo_concert init
  * Contributors: Jihoon Lee
  * update gazebo_concert package version
  * update package.xml
  * local client is now argument
  * remove initialisation service
  * add kobuki
  * add prameters for gazebo
  * fix install rule
  * add world_canvas
  * gazebo concert ready
  * add gazebo_concert init
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Fri, 28 Nov 2014 15:00:00 -0000

ros-indigo-gazebo-concert (0.6.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 26 Aug 2014 01:19:00 -0000

ros-indigo-gazebo-concert (0.6.0-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 26 Aug 2014 00:53:00 -0000

ros-indigo-gazebo-concert (0.5.6-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-gazebo-concert (0.5.5-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 06 Aug 2013 15:00:00 -0000

ros-indigo-gazebo-concert (0.5.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 17 Jul 2013 15:00:00 -0000

ros-indigo-gazebo-concert (0.5.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 03 Jun 2013 15:00:00 -0000

ros-indigo-gazebo-concert (0.5.2-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 May 2013 15:00:00 -0000

ros-indigo-gazebo-concert (0.5.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 May 2013 02:49:00 -0000

ros-indigo-gazebo-concert (0.5.0-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 May 2013 02:09:00 -0000

ros-indigo-gazebo-concert (0.3.5-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 08 Apr 2013 15:00:00 -0000

ros-indigo-gazebo-concert (0.3.4-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 07 Apr 2013 15:00:00 -0000

ros-indigo-gazebo-concert (0.3.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 07 Apr 2013 14:11:00 -0000

ros-indigo-gazebo-concert (0.3.2-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 07 Apr 2013 14:08:00 -0000

ros-indigo-gazebo-concert (0.3.1-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 07 Apr 2013 14:06:00 -0000

ros-indigo-gazebo-concert (0.3.0-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 07 Apr 2013 12:34:00 -0000

=== debian/control ===
Source: ros-indigo-gazebo-concert
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/gazebo_concert
Standards-Version: 3.9.2

Package: ros-indigo-gazebo-concert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-concert-master, ros-indigo-concert-msgs, ros-indigo-concert-scheduler-requests, ros-indigo-concert-service-admin, ros-indigo-concert-service-gazebo, ros-indigo-geometry-msgs, ros-indigo-rocon-app-manager, ros-indigo-rocon-apps, ros-indigo-rocon-bubble-icons, ros-indigo-rocon-python-comms, ros-indigo-rocon-python-utils, ros-indigo-rocon-uri, ros-indigo-rospy
Description: A simple software concert describing how multiple robots launched in simulation can be used by the concert framework. This package follows the same pattern as turtle_concert. It is multi typed gazebo robot version of turtle_concert. Adopted a lot from segbot_gazebo_concert by Piyush Khandelwal

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-gazebo-concert//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
